summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2017-12-03 10:01:46 +0100
committer Matteo Bernardini2019-08-18 09:11:04 +0200
commitb107f8fd2d3e35152386777a7a3b1c67492e5016 (patch)
treebafd17676b8556c45edcf5f92ccd435808f26ec8
parentd04189e642ca17186cb9b2b5899fa9c12aceb782 (diff)
downloadslackbuilds-trackballs.tar.gz
games/trackballs: Updated for version 1.2.4.trackballs
Switched to a maintained upstream that uses cmake Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--games/trackballs/trackballs.SlackBuild53
-rw-r--r--games/trackballs/trackballs.info8
2 files changed, 28 insertions, 33 deletions
diff --git a/games/trackballs/trackballs.SlackBuild b/games/trackballs/trackballs.SlackBuild
index 810a670593..db385f6a63 100644
--- a/games/trackballs/trackballs.SlackBuild
+++ b/games/trackballs/trackballs.SlackBuild
@@ -9,8 +9,8 @@
# 20170621 bkw: fix build on -current
PRGNAM=trackballs
-VERSION=${VERSION:-1.1.4}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-1.2.4}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -53,37 +53,32 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-# Apply two patches from redhat: one to fix building and running with guile-2.0.x,
-# another to fix "Esc" behaviour. Also abs.diff, which fixes the build for
-# gcc 7 from -current.
-for i in $CWD/patches/* ; do patch -p1 < $i ; done
-
-# Make icons honor DESTDIR (thanks to Johannes for this fix)
-sed -i 's/ $(iconsdir)/ $(DESTDIR)$(iconsdir)/g' share/icons/Makefile.in
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --build=$ARCH-slackware-linux
-
-make
-make install-strip DESTDIR=$PKG
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
gzip $PKG/usr/man/man6/$PRGNAM.6
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
-cp -a README AUTHORS COPYING ChangeLog FAQ TODO $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a docs/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a ABOUT-NLS.md AUTHORS.md COPYING FAQ.md NEWS.md README.md TODO.md $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION/html
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/usr/share/applications
diff --git a/games/trackballs/trackballs.info b/games/trackballs/trackballs.info
index c51e5bd3ef..5d365d9074 100644
--- a/games/trackballs/trackballs.info
+++ b/games/trackballs/trackballs.info
@@ -1,8 +1,8 @@
PRGNAM="trackballs"
-VERSION="1.1.4"
-HOMEPAGE="http://trackballs.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/trackballs/trackballs-1.1.4.tar.gz"
-MD5SUM="84e2e8bb68842a636da91673751279a0"
+VERSION="1.2.4"
+HOMEPAGE="https://trackballs.github.io"
+DOWNLOAD="https://github.com/trackballs/trackballs/archive/v1.2.4/trackballs-1.2.4.tar.gz"
+MD5SUM="e95cb7aa9d344daa4e136dcd67b31b5f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""